KENTNL / Dist-Zilla-Plugin-ModuleInstall-0.02000000 / Changes

Revision history for Dist-Zilla-Plugin-ModuleInstall

0.02000000 2013-04-06T06:45:47Z
 - Maintenance/Bugfix release

 [!Noteworthy Changes]
 - Properly supports BuildRunner role now so works again with dzil xtest

 [Dependencies::Added / develop requires]
 - Pod::Coverage::TrustPod
 - Test::CPAN::Meta
 - Test::Pod 1.41
 - Test::Pod::Coverage 1.08
 - version 0.9901

 [Dependencies::Changed / develop recommends]
 - Dist::Zilla::PluginBundle::Author::KENTNL::Lite 0.01009803 → v1.3.0

 [Dependencies::Changed / develop suggests]
 - Dist::Zilla::PluginBundle::Author::KENTNL v1.2.0 → v1.7.2

 [Dependencies::Changed / test requires]
 - Test::More 0.96 → 0.98

 [Documentation]
 - Update copyright year
 - add README.mkdn

 [Internals]
 - defer build/test to MakeMaker::Runner, copying implementation details
   from MakeMaker

 [Meta]
 - Bug tracker to github

 [Packaging]
 - Rebuilt with Module::Install 1.06

0.01054021 2012-02-02T19:30:41Z
 - Maintenance release

 [Dependencies::Changed]
 - develop suggests : Dist::Zilla::PluginBundle::Author::KENTNL
   v1.0.0 → v1.2.0

 [Dependencies::New]
 - runtime requires : perl 5.006
 - runtime requires : strict
 - runtime requires : warnings

 [Dependencies::Removed]
 - test requires : English

 [Packaging]
 - Update LICENSE ( Indent, Date, Address )
 - Move extra-tests to xt/
 - Git urls moved to https://
 - x_authority declared in meta.
 - Update to M::I 1.04
 - Move to git based versioning.

0.01054020 2011-04-04T15:36:00Z
 [BugFix]
 - rt#61170 "wrong inc::module::install prereq" should be fixed in this
   release.

 [Dependencies]
 - No longer (falsely) deps inc::Module::Install ( rt#61170 )

 [Dependencies::Devel]
 - Recommneds/suggests/etc on @Author::KENTNL bundles.

 [Dependencies::Test]
 - Depends English.pm

 [Packaging]
 - No longer indexes ^inc:: things. ( rt#61170 )
 - Move to @Author::KENTNL
 - use Bootstrap::lib
 - Changes to CPAN::Changes style.
 - no longer ship inc/
 - Ship .perltidyrc and perlcritic.rc

 [Tests]
 - Remove hand-spun critic-tests.
 - Drop portability tests.
 - Add CPAN::Changes tests.

0.01029216 2010-08-04T11:37:06Z
 - Upgraded codebase to work with DZil 4.
 - New support for build/test/config/recommends phases.
 - Now dies and leaves you in the tempdir if it manages to generate  a
   fubared Makefile.PL
 - Now using Latest Role::Tempdir
 - General overhaul of everything.
 - This release hopefully resolves rt #55840 ( reported by Salve J. Nilsen
   )
 - This now ships its own default test-runner.
 - Attempted support at supporting scripts via :ExecFiles
 - More errors moved to occur in the dzil phase, not in the templater  (
   which suppresses sneaky errors that I had happening because the code in
   the templates were dying, and emitting "hurp, something failed" into the
   template, which, being perl code, wasn't too great )
 - Emitted Makefile.PL has more comments explaining whats happening.
 - Injects a "Hey, don't modify this file!" warning.

0.01002219 2009-11-13T14:03:57Z
 - First version.




Hosting generously
sponsored by Bytemark